Subject: Re: [PATCH] return to OF via trap, not exit

From: Olaf Hering <[email-masked]>
Date: Mon, 6 Mar 2006 08:49:53 +0100

On Mon, Mar 06, Segher Boessenkool wrote:

> >>> Which is likely ok because it saves us from typing .registers
> >>> manually.
> >>
> >> I can't say that's a great argument.  How about doing the trap thing
> >> on "known-bad" platforms only?
> >
> > Can you do anything at that time anyway? I mean, reset-all pending
> > either way.
> 
> You can boot a different kernel, or try to work out what went wrong.

No, I cant, all resources are possible busy. Either way, maybe checking
what type stdout is and trap or exit depending on that.
And I dont see whats bad about 'trap handler called', other than being
verbose.